incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chiradeep Vittal <Chiradeep.Vit...@citrix.com>
Subject FW: Avoid tomcat6.0.35 (java.sql.SQLException: No suitable driver found for jdbc:mysql://localhost:3306/cloud?autoReconnect=true&prepStmtCacheSize=517&cachePrepStmts=true)
Date Thu, 03 May 2012 20:02:15 GMT


From: Frank Zhang <Frank.Zhang@citrix.com<mailto:Frank.Zhang@citrix.com>>
Date: Tue, 10 Jan 2012 13:56:14 -0800

Subject: Avoid tomcat6.0.35 (java.sql.SQLException: No suitable driver found for jdbc:mysql://localhost:3306/cloud?autoReconnect=true&prepStmtCacheSize=517&cachePrepStmts=true)

If you see exception:


  [java] java.sql.SQLException: No suitable driver found for jdbc:mysql://localhost:3306/cloud?autoReconnect=true&prepStmtCacheSize=517&cachePrepStmts=true

     [java]     at java.sql.DriverManager.getConnection(DriverManager.java:640)

     [java]     at java.sql.DriverManager.getConnection(DriverManager.java:200)

     [java]     at org.apache.commons.dbcp.DriverManagerConnectionFactory.createConnection(DriverManagerConnectionFactory.java:75)

     [java]     at org.apache.commons.dbcp.PoolableConnectionFactory.makeObject(PoolableConnectionFactory.java:582)

     [java]     at org.apache.commons.pool.impl.GenericObjectPool.borrowObject(GenericObjectPool.java:1181)

     [java]     at org.apache.commons.dbcp.PoolingDataSource.getConnection(PoolingDataSource.java:106)

     [java]     at com.cloud.utils.db.Transaction.getStandaloneConnectionWithException(Transaction.java:199)

     [java]     at com.cloud.utils.db.Transaction.getStandaloneConnection(Transaction.java:208)


Please check if you are using tomcat6.0.35. We do have this driver cloud-mysql-connector-java-5.1.7-bin.jar
which works peacefully with former versions of tomcat6.

I have been investigating this for a while, my best guess is tomcat silently did some tricks
in its library loading method. I had sent a mail to tomcat6 community but received no reply
yet, and the 6.0.35 release notes have no particulars as well.
As 6.0.35 is the newest version, the older one 6.0.33 works well.


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message